﻿using Microsoft.Maui;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;
using Shape = Steema.TeeChart.Styles.Shape;

namespace TeeChartMockUpDemos
{
    public partial class AllCharts : ContentPage
    {
        public AllCharts()
        {
            InitializeComponent();
            
            var line = new Line(tChart1.Chart);
            var bar = new Bar(tChart2.Chart);
            var area = new Area(tChart3.Chart);
            var pie = new Pie(tChart4.Chart);
            pie.Circled = true;
            pie.Marks.Visible = false;
            tChart4.Chart.Header.Visible = false;

            var bubble = new Bubble(tChart5.Chart);

            var donut = new Donut(tChart6.Chart);

            donut.Circled = true;
            var candle = new Candle(tChart7.Chart);
            var volume = new Volume(tChart8.Chart);

            var horizline = new HorizLine(tChart9.Chart);
            var horizbar = new HorizBar(tChart10.Chart);
            var horizarea = new HorizArea(tChart11.Chart);
            var fastline = new FastLine(tChart12.Chart);

            var pyramid = new Pyramid(tChart13.Chart);
            var points = new Points(tChart14.Chart);
            var shape = new Shape(tChart15.Chart);
            var highlow = new HighLow(tChart16.Chart);

            var gantt = new Gantt(tChart17.Chart);
            var activitygauge = new Points(tChart18.Chart);
            var surface = new Surface(tChart19.Chart);
            var contour = new Contour(tChart20.Chart);

            var waterfall = new Waterfall(tChart21.Chart);
            var colorgrid = new ColorGrid(tChart22.Chart);
            var vector3d = new Vector3D(tChart23.Chart);
            var tower = new Tower(tChart24.Chart);

            var isosurface = new IsoSurface(tChart25.Chart);
            var polargrid = new PolarGrid(tChart26.Chart);
            var tagcloud = new TagCloud(tChart27.Chart);
            var windrose = new WindRose(tChart28.Chart);

            var histogram = new Histogram(tChart29.Chart);
            var volumepipe = new VolumePipe(tChart30.Chart);
            //var funnel = new Funnel(tChart31.Chart);
            //var errorbar = new ErrorBar(tChart32.Chart);
            line.FillSampleValues();
            bar.FillSampleValues();
            area.FillSampleValues();
            pie.FillSampleValues();

            bubble.FillSampleValues();
            donut.FillSampleValues();
            candle.FillSampleValues();
            volume.FillSampleValues();  

            horizline.FillSampleValues();   
            horizbar.FillSampleValues();   
            horizarea.FillSampleValues();
            fastline.FillSampleValues();


            pyramid.FillSampleValues(); 
            points.FillSampleValues();  
            shape.FillSampleValues();   
            highlow.FillSampleValues();

            gantt.FillSampleValues();
            activitygauge.FillSampleValues();
            surface.FillSampleValues();
            contour.FillSampleValues();

            waterfall.FillSampleValues();
            colorgrid.FillSampleValues();
            vector3d.FillSampleValues();
            tower.FillSampleValues();

            isosurface.FillSampleValues();
            polargrid.FillSampleValues();
            tagcloud.FillSampleValues();
            windrose.FillSampleValues();

            histogram.FillSampleValues();
            volumepipe.FillSampleValues();
            //funnel = new Funnel(tChart31.Chart);
            //errorbar = new ErrorBar(tChart32.Chart);

            view3D.CheckedChanged += View3D_CheckedChanged;


            #region *****  Added Code   *****
            line.Click += Line_Click;
            area.Click += Area_Click;
            pie.Click += Pie_Click;
            bubble.Click += Bubble_Click;
            donut.Click += Donut_Click;
            candle.Click += Candle_Click;
            volume.Click += Volume_Click;
            horizline.Click += Horizline_Click;
            horizbar.Click += Horizbar_Click;
            horizarea.Click += Horizarea_Click;
            fastline.Click += Fastline_Click;
            pyramid.Click += Pyramid_Click;
            points.Click += Points_Click;
            shape.Click += Shape_Click;
            highlow.Click += Highlow_Click;
            gantt.Click += Gantt_Click;
            activitygauge.Click += Activitygauge_Click;
            surface.Click += Surface_Click;
            contour.Click += Contour_Click;
            waterfall.Click += Waterfall_Click;
            colorgrid.Click += Colorgrid_Click;
            vector3d.Click += Vector3d_Click;
            tower.Click += Tower_Click;
            isosurface.Click += Isosurface_Click;
            polargrid.Click += Polargrid_Click;
            tagcloud.Click += Tagcloud_Click;
            windrose.Click += Windrose_Click;
            histogram.Click += Histogram_Click;
            volumepipe.Click += Volumepipe_Click;


            line.MouseEnter += Line_MouseEnter;
            area.MouseEnter += Area_MouseEnter;
            pie.MouseEnter += Pie_MouseEnter;
            bubble.MouseEnter += Bubble_MouseEnter;
            donut.MouseEnter += Donut_MouseEnter;
            candle.MouseEnter += Candle_MouseEnter;
            volume.MouseEnter += Volume_MouseEnter;
            horizline.MouseEnter += Horizline_MouseEnter;
            horizbar.MouseEnter += Horizbar_MouseEnter;
            horizarea.MouseEnter += Horizarea_MouseEnter;
            fastline.MouseEnter += Fastline_MouseEnter;
            pyramid.MouseEnter += Pyramid_MouseEnter;
            points.MouseEnter += Points_MouseEnter;
            shape.MouseEnter += Shape_MouseEnter;
            highlow.MouseEnter += Highlow_MouseEnter;
            gantt.MouseEnter += Gantt_MouseEnter;
            activitygauge.MouseEnter += Activitygauge_MouseEnter;
            surface.MouseEnter += Surface_MouseEnter;
            contour.MouseEnter += Contour_MouseEnter;
            waterfall.MouseEnter += Waterfall_MouseEnter;
            colorgrid.MouseEnter += Colorgrid_MouseEnter;
            vector3d.MouseEnter += Vector3d_MouseEnter;
            tower.MouseEnter += Tower_MouseEnter;
            isosurface.MouseEnter += Isosurface_MouseEnter;
            polargrid.MouseEnter += Polargrid_MouseEnter;
            tagcloud.MouseEnter += Tagcloud_MouseEnter;
            windrose.MouseEnter += Windrose_MouseEnter;
            histogram.MouseEnter += Histogram_MouseEnter;
            volumepipe.MouseEnter += Volumepipe_MouseEnter;



            line.MouseLeave += Line_MouseLeave;
            area.MouseLeave += Area_MouseLeave;
            pie.MouseLeave += Pie_MouseLeave;
            bubble.MouseLeave += Bubble_MouseLeave;
            donut.MouseLeave += Donut_MouseLeave;
            candle.MouseLeave += Candle_MouseLeave;
            volume.MouseLeave += Volume_MouseLeave;
            fastline.MouseLeave += Fastline_MouseLeave;
            horizline.MouseLeave += Horizline_MouseLeave;
            horizbar.MouseLeave += Horizbar_MouseLeave;
            horizarea.MouseLeave += Horizarea_MouseLeave;
            fastline.MouseEnter += Fastline_MouseEnter;
            pyramid.MouseLeave += Pyramid_MouseLeave;
            points.MouseLeave += Points_MouseLeave;
            shape.MouseLeave += Shape_MouseLeave;
            highlow.MouseLeave += Highlow_MouseLeave;
            gantt.MouseLeave += Gantt_MouseLeave;
            activitygauge.MouseLeave += Activitygauge_MouseLeave;
            surface.MouseLeave += Surface_MouseLeave;
            contour.MouseLeave += Contour_MouseLeave;
            waterfall.MouseLeave += Waterfall_MouseLeave;
            colorgrid.MouseLeave += Colorgrid_MouseLeave;
            vector3d.MouseLeave += Vector3d_MouseLeave;
            tower.MouseLeave += Tower_MouseLeave;
            isosurface.MouseLeave += Isosurface_MouseLeave;
            polargrid.MouseLeave += Polargrid_MouseLeave;
            tagcloud.MouseLeave += Tagcloud_MouseLeave;
            windrose.MouseLeave += Windrose_MouseLeave;
            histogram.MouseLeave += Histogram_MouseLeave;
            volumepipe.MouseLeave += Volumepipe_MouseLeave;
            #endregion
        }

        #region *****  Added Code   *****
        private void Volumepipe_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Histogram_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Windrose_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Tagcloud_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Polargrid_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Isosurface_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Tower_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Vector3d_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Colorgrid_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Waterfall_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Contour_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Surface_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Activitygauge_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Gantt_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Highlow_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Shape_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Points_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Pyramid_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizarea_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizbar_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizline_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Volumepipe_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Histogram_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Windrose_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Tagcloud_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Polargrid_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Isosurface_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Tower_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Vector3d_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Colorgrid_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Waterfall_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Contour_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Surface_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Activitygauge_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Gantt_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Highlow_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Shape_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Points_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Pyramid_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizarea_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizbar_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizline_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Volumepipe_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Histogram_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Windrose_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Tagcloud_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Polargrid_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Isosurface_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Tower_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Vector3d_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Colorgrid_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Waterfall_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Contour_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Surface_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Activitygauge_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Gantt_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Highlow_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Shape_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Points_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Pyramid_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizarea_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizbar_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Horizline_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Volume_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Volume_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Volume_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Donut_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Bubble_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Donut_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Donut_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Bubble_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Bubble_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Area_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Area_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Area_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Line_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Line_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Line_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

         private void Fastline_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Candle_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Pie_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Fastline_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Candle_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Pie_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Pie_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }


        private void Candle_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Fastline_Click(object sender, MouseEventArgs e)
        {
            throw new NotImplementedException();
        }
        #endregion

        private void View3D_CheckedChanged(object sender, CheckedChangedEventArgs e)
        {
            tChart1.Chart.Aspect.View3D = e.Value;
            tChart2.Chart.Aspect.View3D = e.Value;
            tChart3.Chart.Aspect.View3D = e.Value;
            tChart4.Chart.Aspect.View3D = e.Value;
            tChart5.Chart.Aspect.View3D = e.Value;
            tChart6.Chart.Aspect.View3D = e.Value;
            tChart7.Chart.Aspect.View3D = e.Value;
            tChart8.Chart.Aspect.View3D = e.Value;
            tChart9.Chart.Aspect.View3D = e.Value;
            tChart10.Chart.Aspect.View3D = e.Value;
            tChart11.Chart.Aspect.View3D = e.Value;
            tChart12.Chart.Aspect.View3D = e.Value;
            tChart13.Chart.Aspect.View3D = e.Value;
            tChart14.Chart.Aspect.View3D = e.Value;
            tChart15.Chart.Aspect.View3D = e.Value;
            tChart16.Chart.Aspect.View3D = e.Value;

            InvalidateMeasure();
        }
        

    }
}
